package de.oaa.xxx.session;

import java.time.LocalDateTime;
import java.util.List;
import java.util.UUID;

public class AktiveSperre {

	private UUID aktiveSperreId;
	private Mitspieler mitspieler;
	private Integer minuten;
	private LocalDateTime startzeit;
	private LocalDateTime endzeit;
	private List<Werkzeug> fuer;
	private String releaseText;

	public UUID getAktiveSperreId() {
		return aktiveSperreId;
	}

	public void setAktiveSperreId(UUID aktiveSperreId) {
		this.aktiveSperreId = aktiveSperreId;
	}

	public Mitspieler getMitspieler() {
		return mitspieler;
	}

	public void setMitspieler(Mitspieler mitspieler) {
		this.mitspieler = mitspieler;
	}

	public Integer getMinuten() {
		return minuten;
	}

	public void setMinuten(Integer minuten) {
		this.minuten = minuten;
	}

	public LocalDateTime getStartzeit() {
		return startzeit;
	}

	public void setStartzeit(LocalDateTime startzeit) {
		this.startzeit = startzeit;
	}

	public LocalDateTime getEndzeit() {
		return endzeit;
	}

	public void setEndzeit(LocalDateTime endzeit) {
		this.endzeit = endzeit;
	}

	public List<Werkzeug> getFuer() {
		return fuer;
	}

	public void setFuer(List<Werkzeug> fuer) {
		this.fuer = fuer;
	}

	public String getReleaseText() {
		return releaseText;
	}

	public void setReleaseText(String releaseText) {
		this.releaseText = releaseText;
	}
}
